# -*- coding: utf8 -*-
from __future__ import unicode_literals

parser_class = "thermocoupleur_csv"


def test_decode_result(self):
    worklist = self.decode(
        """
    1234567;CODE_A;NEG
    987548;CODE_B;NEG
    13579;CODE_C;POS
    """
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "results": [{"code": "CODE_A", "value": "NEG"}],
                "sample_id": "1234567",
                "type": "patient",
            },
            {
                "results": [{"code": "CODE_B", "value": "NEG"}],
                "sample_id": "987548",
                "type": "patient",
            },
            {
                "results": [{"code": "CODE_C", "value": "POS"}],
                "sample_id": "13579",
                "type": "patient",
            },
        ],
    }
    assert worklist == expected
